Redmine - Defect #26836

Filtering issues via context menu should not reset selected columns
2017-09-04 10:47 - Vincent Robert

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues list Estimated time: 0.00 hour
Target version: 4.0.3

Resolution: Fixed Affected version: 4.0.2
Description

If we use the context menu to filter issues, selected columns are reset to default.
Steps to reproduce this bug:

1. On /issues, change selected column and apply

2. Check several issues

3. Apply "filter" in context menu

4. The query is applied: issues are well selected, but we lose our selected columns
Associated revisions

Revision 17955 - 2019-03-15 08:50 - Jean-Philippe Lang

Filtering issues via context menu should not reset selected columns (#26836).

Patch by Vincent Robert.

Revision 17956 - 2019-03-15 08:52 - Jean-Philippe Lang

Send columns as a param to context menu instead of parsing back_url (#26836).

Revision 17957 - 2019-03-15 08:54 - Jean-Philippe Lang
Merged r17955 and r17956 to 4.0-stable (#26836).

History

#1 - 2018-05-01 07:59 - Marius BALTEANU

- Status changed from New to Confirmed

#2 - 2019-02-26 16:01 - Vincent Robert
- Target version set to 4.0.3

- Affected version changed from 3.4.2 to 4.0.2

#3 - 2019-02-26 16:56 - Vincent Robert

Here is a basic implementation to fix this bug:

diff --git a/app/controllers/context_menus_controller.rb b/app/controllers/context_menus_controller.rb
index bd6977503..bef2826a4 100644
——— a/app/controllers/context_menus_controller.rb
+++ b/app/controllers/context_menus_controller.rb
@@ -43,6 +43,9 @@ class ContextMenusController < ApplicationController
@priorities = IssuePriority.active.reverse
@back = back_url

+ params = CGI.parse (@back)
+ @columns = params["c[]"]
Lo
Qoptions_by_custom_field = {}
if @can[:edit]
custom_fields = @issues.map(&:editable_custom_fields) .reduce(:&) .reject (&:multiple?).select {|field| fi

eld.format.bulk_edit_supported}
diff --git a/app/views/context_menus/issues.html.erb b/app/views/context_menus/issues.html.erb
index 7919472af..f979cd0e2 100644
—-—— a/app/views/context_menus/issues.html.erb
+++ b/app/views/context_menus/issues.html.erb
@@ -134,7 +134,7 @@
<% end %>

<% unless @issue %>

- <1i><%= context_menu_link 1 (:button_filter), _project_issues_path (@project, :set_filter => 1, :status_id =>
"x",  :issue_id => @issue_ids.join(",")),

+ <1i><%= context_menu_link 1l (:button_filter), _project_issues_path(@project, :set_filter => 1, :status_id =>

"x"  :issue_id => @issue_ids.join(","), :c => @columns),
:class => 'icon icon-list' %></1li>

#4 - 2019-03-15 08:54 - Jean-Philippe Lang
- Status changed from Confirmed to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks. | made a slight change after that in order not to manually parse the back_url.
